Subject: RE: General formula

From: Alan Lloyd <[email-masked]>
Date: Wed, 2 Jun 1999 16:44:31 +1000

Ed I  still do not know how anyone on this planet - even if they
understand this Newton stuff - can predict the life time of a cert.

	snip the cosmic stuff :-)

> Likewise, when I say that "the lifetime of a certificate is inversely
> proportional to the number of its attributes" do I care what the
> application is? What are these attributes representing? About the
> authentication points of the subject, the management of the
> certificate,
> the validation policy environment for the certificate or some data
> that
> the Issuer is providing integrity over? Is it a question of
> application and
> use? NO -- I just care that the *same* situation is used when you vary
> the number of attributes.
> 
> Thus, for the *same* situation (Bible or ticket to Hell), the lifetime
> of a
> certificate will decrease to half if you double the number of
> attributes,
> to one-third if you triple, etc. In other words, it is inversely
> *proportional*.
> If it was 20 years for N attributes, it will be 10 years for 2N
> attributes;
> if it was 20 seconds for N attributes, it will be 10 seconds for 2N
> attributes;
> etc.
> 
	So if I put in certificate a lot more attributes that represent
colours and go from 256 to 1024  makes the certificate not last as long?
	It seems pointless to debate the lifetime of a certificate with
such exactness when its the attribute value, use and context that will
affect its lifetime - and no factual information is provided about this.

	ie I could add another attribute called "Additional Validity
Periods" a Multi valued extension with the summer months for 20 years
put in them.. Here is a clear case of piles of attributes being added
and extending the life of a certficate - not shortening it  - this
feature could even be implied with Policy Ids..

	Oh well :-)

	regards alan

> Of course, this is valid if all the attributes have similar values --
> otherwise,
> just apply the full equation:
> 
> 1/T = 1/T1 + 1/T2 +....1/TN
> 
> But, the usefulness of my comentary does not depend on its
> (inexisting)
> exactness for Ti <> Tj, but because it provides a correct designer
> feeling
> for the decrease of certificate lifetime with the number of attributes
> --
> double the number of attributes and certificate lifetime will likely
> decrease
> to about half of what it was. Not to about one-quarter, or one-tenth.
> 
> Cheers,
> 
> Ed Gerck
> ______________________________________________________________________
> Dr.rer.nat. E. Gerck                                 [email-masked]
>   ---  Meta-Certificate Group member -- http://www.mcg.org.br  ---
>

---

From: Ed Gerck <[email-masked]>
Date: Wed, 02 Jun 1999 11:12:07 -0700

Alan Lloyd wrote:

> Ed I  still do not know how anyone on this planet ...
> can predict the life time of a cert.

Every time you make a phone call, it gets through because
somebody on this planet was able to predict its duration.
And yet, how can anybody on this planet be able to
predict the lifetime (Lebendauer) of that connection?

The answer: By following very similar (though not
equal) arguments as the ones I used. So, there is
nothing magical about it.

I suggest you read my original posting here and its
inlined reference [1]. The full paper will hopefully
make it clearer also by examples.

Cheers,

Ed Gerck
  ---  Meta-Certificate Group member -- http://www.mcg.org.br  ---

---

From: Tony Bartoletti <[email-masked]>
Date: Wed, 02 Jun 1999 13:43:27 -0700

Ed,

I still think the central problem begged by the formula is
"What IS an attribute"?

To take Alan Lloyd's example, I certify a color table.  I can
(it would seem, arbitrarily) consider the entire array of values
as the table's "single attribute", or consider each color entry
(say RGB triplet) to be an attribute, or even take each R, G,
and B value separately as an attribute.

If the lifetime/lifespan of the table depends upon the lifetime
of each individual component, how do I know at what level of
granularity to assign attribute-hood, and thus apply the formula
correctly?

If you certify my name as "Tony", is that one attribute,
or is it four (each letter a separate attribute.)

As a first guess, I would say that if something can change
independently of another thing (and yes, are treated semantically
as separable values), then they can be separate attributes.

Otherwise, _in_the_context_ where two things are treated as
completely dependent (redundant) by definition, then they cannot
be treated as "two", as they are really "one".

___tony___

>make it clearer also by examples.

Tony Bartoletti                                             LL
Center for Information Operations and Assurance          LL LL
Lawrence Livermore National Laboratory                LL LL LL
PO Box 808, L - 303                                   LL LL LL
Livermore, CA 94551-9900                              LL LL LLLLLLLL
phone: 925-422-3881   fax: 925-423-8002               LL LLLLLLLL
email: [email-masked]                                   LLLLLLLL

---

From: Ed Gerck <[email-masked]>
Date: Wed, 02 Jun 1999 21:49:23 -0700

> I still think the central problem begged by the formula is

Tony:

Yes, and in this context this is for PKIX to define. But, in the
equation, this is not relevant -- please see the comments I made
on "sub-attributes" in the original posting.  However, it may be
useful to group or ungroup attributes in order to simplify
calculations.

> granularity to assign attribute-hood, and thus apply the formula

If you consider the whole certificate as one attribute -- fine. Then,
there is few to calculate but there is all to model.

If you consider each R, G, B component as different attributes -- fine.
Then, there is all to calculate but few to model.

Engineers usually work in-between these cases. The equation applies
to either case and also in-between.

> as separable values), then they can be separate attributes.

Yes.

> be treated as "two", as they are really "one".

Yes -- but most things are neither. Most things are partially dependent.
However, even if they are partially dependent, the equation is still the
same because the equation deals with the *effective* validity for each
attribute. I tried to explain this in the inlined reference [1] of my original
posting -- it would be useful if you could please check it and verify if
it is clear (at least, in hindsight).

Cheers,

Ed Gerck